/*
 * Project name:
     Led_Blinking (The simplest simple example)
 * Target Platform:
     dsPIC
 * Copyright:
     (c) mikroElektronika, 2010.
 * Revision History:
     20100502:
       - Initial release;
 * Description:
     Simple "Hello world" example for the world of dsPIC MCUs;
* Test configuration:
     MCU:             dsPIC30F4013
                      http://ww1.microchip.com/downloads/en/DeviceDoc/70138F.pdf
     dev.board:       easypic v7 for dspic30 -  ac:LED
                      http://www.mikroe.com/easypic-dspic30/
     Oscillator:      XT-PLL8, 80.000MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/mikroc/dspic/
 * NOTES:
     - Turn ON port LEDs at SW10 (board specific).
 */

void main() {

  ADPCFG = 0xFFFF;       // Configure AN pins as digital I/O
  TRISB = 0;             // Initialize PORTB as output
  TRISC = 0;             // Initialize PORTC as output
  TRISD = 0;             // Initialize PORTD as output
  TRISF = 0;             // Initialize PORTF as output

  LATB = 0;              // Set PORTB to zero
  LATC = 0;              // Set PORTC to zero
  LATD = 0;              // Set PORTD to zero
  LATF = 0;              // Set PORTF to zero

  while(1) {
    LATB = ~LATB;        // Invert PORTB value
    LATC = ~LATC;        // Invert PORTC value
    LATD = ~LATD;        // Invert PORTD value
    LATF = ~LATF;        // Invert PORTF value
    Delay_ms(1000);
  }
}