/*
 * Project name:
     Led_Blinking (The simplest simple example)
 * Target Platform:
     dsPIC
 * Copyright:
     (c) mikroElektronika, 2010.
 * Revision History:
     20100502:
       - Initial release;
 * Description:
     Simple "Hello world" example for the world of dsPIC MCUs;
* Test configuration:
     MCU:             dsPIC30F4013
                      http://ww1.microchip.com/downloads/en/DeviceDoc/70138F.pdf
     Dev.Board:       EASYPIC v7 for dsPIC30 ac:LED_curtain
                      http://www.mikroe.com/easypic-dspic30/
     Oscillator:      XT-PLL8, 80.000MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/mikroc/dspic/
 * NOTES:
     - Turn ON port LEDs at SW10 (board specific).
 */

int counter;

void wait() {
  Delay_ms(200);
}

void main() {

  ADPCFG = 0xFFFF;                           // configure AN pins as digital

  TRISB = 0;                                 // set direction to be output
  TRISD = 0;                                 // set direction to be output
  TRISF = 0;                                 // set direction to be output

  LATB = 0;                                  // turn OFF the PORTB leds
  LATD = 0;                                  // turn OFF the PORTD leds
  LATF = 0;                                  // turn OFF the PORTF leds
  while (1) {
    for (counter = 0; counter < 8; counter++){
      LATB |= 0x0101 << counter;
      LATD |= 1 << counter;
      LATF |= 1 << counter;
      wait();
    }

    counter = 0;
    while (counter < 8) {
      LATB &= ~(0x0101 << counter);
      LATD &= ~(1 << counter);
      LATF &= ~(1 << counter);
      wait();
      counter++;
    }
  }
}