/*
 * Project name:
     HID_Read_Write (USB HID Read & Write Test)
 * Copyright:
     (c) MikroElektronika, 2012.
 * Revision History:
     20100401:
       - initial release;
 * Description:
     This example establishes connection with the HID terminal that is active
     on the PC. Upon connection establishment, the HID Device Name will appear
     in the respective window. The character that user sends to PIC from the HID
     terminal will be re-sent back to user.
 * Test configuration:
     MCU:             PIC24FJ256GB110
                      http://ww1.microchip.com/downloads/en/DeviceDoc/39897c.pdf
     Dev.Board:       EasyPIC Fusion v7
                      http://www.mikroe.com/easypic-fusion/
     Oscillator:      XT-PLL, 8.000 MHz
     Ext. Modules:    -
     SW:              mikroC PRO for dsPIC
                      http://www.mikroe.com/mikroc/dspic/
 * NOTES:  -

*/

char cnt;
char readbuff[64];
char writebuff[64];

void USB1Interrupt() iv IVT_ADDR_USB1INTERRUPT{
   USB_Interrupt_Proc();
}

void main(void){
  AD1PCFGL = 0xFFFF;

  HID_Enable(&readbuff,&writebuff);

  while(1){
    while(!HID_Read())
      ;

    for(cnt=0;cnt<64;cnt++)
      writebuff[cnt]=readbuff[cnt];

    while(!HID_Write(&writebuff,64))
      ;
  }
}