/*
 * Project name:
     Sprintf  
 * Copyright:
     (c) Mikroelektronika, 2012.
 * Revision History:
     20091106:
       - initial release;
 * Description:
     This is a demonstration of the standard C library sprintf routine usage.
     Three different representations of the same floating poing number obtained 
     by using the sprintf routine are sent via UART.        
 * Test configuration:
     MCU:             dsPIC30F4013
                      http://ww1.microchip.com/downloads/en/DeviceDoc/70138F.pdf
     Dev.Board:       EasyPIC v7 for dsPIC30
                      http://www.mikroe.com/easypic-dspic30/
     Oscillator:      XT-PLL8, 10.000MHz
     Ext. Modules:    None
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/mikroc/dspic/
 * NOTES:
     - Conect RX and TX UART jumpers on EasyPIC v7 for dsPIC30 (J20 and J21 to RS232) and RF2 at SW8 and RF3 at SW9. (board specific)
 */

double ww = -1.2587538e+1;
char  buffer[15];

void main(){

  UART1_Init(9600);                         // Initialize UART module at 9600 bps
  Delay_ms(10);
  
  UART1_Write_Text("Floating point number representation"); // Write message on UART

  sprintf(buffer, "%12e", ww);             // Format ww and store it to buffer
  UART1_Write_Text("\r\ne format:");       // Write message on UART
  UART1_Write_Text(buffer);                // Write buffer on UART

  sprintf(buffer, "%12f", ww);             // Format ww and store it to buffer
  UART1_Write_Text("\r\nf format:");       // Write message on UART
  UART1_Write_Text(buffer);                // Write buffer on UART
  
  sprintf(buffer, "%12g", ww);             // Format ww and store it to buffer
  UART1_Write_Text("\r\ng format:");       // Write message on UART
  UART1_Write_Text(buffer);                // Write buffer on UART
}