/*
 * Project Name:
     Time_Demo (simplified c-like time library)
 * Copyright:
     (c) Mikroelektronika, 2012.
 * Revision History:
     20091106:
       - initial release; Author: Bruno Gavand.
 * Description  :
     Just run it in watch window and watch appropriate variables.
 * Test configuration:
     MCU:             dsPIC30F4013
                      http://ww1.microchip.com/downloads/en/DeviceDoc/70138F.pdf
     Dev.Board:       EasyPIC v7 for dsPIC30
                      http://www.mikroe.com/easypic-dspic30/
     Oscillator:      XT-PLL8, 10.000MHz
     Ext. Modules:    None
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/mikroc/dspic/
 * NOTES:
     None.
 */

#include        "__Time.h"

TimeStruct ts1, ts2;
long epoch;
long diff;


void main() {

  ts1.ss = 0;
  ts1.mn = 7;
  ts1.hh = 17;
  ts1.md = 23;
  ts1.mo = 5;
  ts1.yy = 2006;

  // What is the epoch of the date in ts ?
  epoch = Time_dateToEpoch(&ts1);       //  1148404020


  // What date is epoch 1234567890 ?
  epoch = 1234567890;
  Time_epochToDate(epoch, &ts2);       //  {30, 31, 23, 13, 4, 2, 2009}

  // How much seconds between this two dates ?
  diff = Time_dateDiff(&ts1, &ts2);    //  86163870
}